For the complete documentation index, see llms.txt. This page is also available as Markdown.

JDBC Schema Ingestion

Create and refresh schemas from JDBC data sources

Deprecated

Create a JDBC schema ingestion

post

Create a schema from a JDBC data source. This operation is deprecated and it will be removed the next major release

Authorizations
AuthorizationstringOptional

Collibra REST API authentication using Basic Authentication.

Body

A request for ingesting a JDBC source.

schemaNamestringRequired

The schema name

jdbcDriverIdstring · uuidRequired

The UUID of the JdbcDriver to use to connect to a JDBC source for ingestion.

userstringRequired

The username for the connection. If the user is not requested, specify an empty String

passwordstring[]Optional

The password for the connection. It can be specified as array of char (more secure) or as a String

jdbcConnectionStringstringOptional

The connection string that will be used instead of the one from the JdbcDriver.

descriptionstringOptional

The description of the schema to be added.

ownerIdstring · uuidRequired

The id of the user who will be assigned as the owner of the produced domain.

storeCredentialsbooleanOptional

Specify if the credentials should be stored into the database.

cronExpressionstringOptional

The cron expression to enable the automatic refresh. If not set, it will delete the cron job if one was present.
It requires storeCredential to be set to true.
The system supports both Unix Crontab format and Quartz cron format. However, Quartz crons are eventually transformed into Unix crons, during which any fields representing seconds or years are quietly discarded

cronTimeZonestringOptional

The cron time zone. If a cron expression is set, a time zone is mandatory.

extractDataSamplebooleanOptional

Specify if sampleData should be extracted from the database.

executeProfilingbooleanOptional

Specify if profiling should be executed.

detectAdvancedDataTypesbooleanOptional

Specify if advanced data types should be detected.

tablesToSkipstring[]Optional

The list table names that shouldn't be ingested. The names can contain * wildcards toskip multiple tables with similar names.

jobServerstringOptional

Specify the jobserver id where to submit the ingestion.

Responses
200

The Job which represents the ongoing schema ingestion

application/json

Represents a job. Job is a single atomic task that is to be performed asynchronously

idstring · uuidRequired

The id of the represented object (entity).

createdBystring · uuidOptional

The id of the user that created this resource.

Example: 4d250cc5-e583-4640-9874-b93d82c7a6cb
createdOninteger · int64Optional

The timestamp (in UTC time standard) of the creation of this resource.

Example: 1475503010320
lastModifiedBystring · uuidOptional

The id of the user who modified this resource the last time.

Example: a073ff90-e7bc-4b35-ba90-c4d475f642fe
lastModifiedOninteger · int64Optional

The timestamp (in UTC time standard) of the last modification of this resource.

Example: 1476703764163
systembooleanOptional

Whether this is a system resource or not.

resourceTypestring · enumRequiredDeprecated

The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. In order to stay backwards compatible and to enable introduction of new types of resources, where necessary, a resource discriminator property (of type String) has been added to specific subtypes of Resource, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.

Possible values:
namestringOptional

The name of the resource.

Example: Test name
typestringOptional

The type of the job.

Example: IMPORT
userIdstring · uuidOptional

The ID of the user that initiated this job.

visibilityinteger · int32Optional

The visibility of the job.

progressPercentagenumber · doubleOptional

The progress percentage of the job.

Example: 50
cancelablebooleanOptional

Whether this job is cancelable or not. If set to false it will not be possible to cancel the job once submitted.

startDateinteger · int64Optional

The start date of the job.

Example: 1488016800
endDateinteger · int64Optional

The end date of the job.

Example: 1488021800
statestring · enumOptional

The state of the job.

Example: COMPLETEDPossible values:
resultstring · enumOptional

The result of the job.

Example: SUCCESSPossible values:
messagestringOptional

The message of the job.

Example: Import finished in 12s.
post/schemas/jdbc
Deprecated

Refresh an existing JDBC schema ingestion

post

Refresh a schema from a JDBC data source. This operation is deprecated and it will be removed the next major release

Authorizations
AuthorizationstringOptional

Collibra REST API authentication using Basic Authentication.

Path parameters
assetIdstring · uuidRequired
Body

A request for ingesting a JDBC source.

schemaIdstring · uuidRequired

The schema ID of the schema asset to be refreshed

jdbcDriverIdstring · uuidRequired

The UUID of the JdbcDriver to use to connect to a JDBC source for ingestion.

userstringRequired

The username for the connection. If the user is not requested, specify an empty String

passwordstring[]Optional

The password for the connection. It can be specified as array of char (more secure) or as a String

jdbcConnectionStringstringOptional

The connection string that will be used instead of the one from the JdbcDriver.

storeCredentialsbooleanOptional

Specify if the credentials should be stored into the database.

overridePasswordbooleanOptional

If true, the password will be used to connect instead of the previously saved one.

cronExpressionstringOptional

The cron expression to enable the automatic refresh. If not set, it will delete the cron job if one was present
It requires storeCredential to be set to true.
The system supports both Unix Crontab format and Quartz cron format. However, Quartz crons are eventually transformed into Unix crons, during which any fields representing seconds or years are quietly discarded

cronTimeZonestringOptional

The cron time zone. If a cron expression is set, a time zone is mandatory.

extractDataSamplebooleanOptional

Specify if sampleData should be extracted from the database.

executeProfilingbooleanOptional

Specify if profiling should be executed.

detectAdvancedDataTypesbooleanOptional

Specify if advanced data types should be detected.

tablesToSkipstring[]Optional

The list table names that shouldn't be ingested. The names can contain * wildcards toskip multiple tables with similar names.

jobServerstringOptional

Specify the jobserver id where to submit the ingestion.

Responses
200

The Job which represents the ongoing schema refresh

application/json

Represents a job. Job is a single atomic task that is to be performed asynchronously

idstring · uuidRequired

The id of the represented object (entity).

createdBystring · uuidOptional

The id of the user that created this resource.

Example: 4d250cc5-e583-4640-9874-b93d82c7a6cb
createdOninteger · int64Optional

The timestamp (in UTC time standard) of the creation of this resource.

Example: 1475503010320
lastModifiedBystring · uuidOptional

The id of the user who modified this resource the last time.

Example: a073ff90-e7bc-4b35-ba90-c4d475f642fe
lastModifiedOninteger · int64Optional

The timestamp (in UTC time standard) of the last modification of this resource.

Example: 1476703764163
systembooleanOptional

Whether this is a system resource or not.

resourceTypestring · enumRequiredDeprecated

The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. In order to stay backwards compatible and to enable introduction of new types of resources, where necessary, a resource discriminator property (of type String) has been added to specific subtypes of Resource, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.

Possible values:
namestringOptional

The name of the resource.

Example: Test name
typestringOptional

The type of the job.

Example: IMPORT
userIdstring · uuidOptional

The ID of the user that initiated this job.

visibilityinteger · int32Optional

The visibility of the job.

progressPercentagenumber · doubleOptional

The progress percentage of the job.

Example: 50
cancelablebooleanOptional

Whether this job is cancelable or not. If set to false it will not be possible to cancel the job once submitted.

startDateinteger · int64Optional

The start date of the job.

Example: 1488016800
endDateinteger · int64Optional

The end date of the job.

Example: 1488021800
statestring · enumOptional

The state of the job.

Example: COMPLETEDPossible values:
resultstring · enumOptional

The result of the job.

Example: SUCCESSPossible values:
messagestringOptional

The message of the job.

Example: Import finished in 12s.
post/schemas/jdbc/{assetId}

Last updated

Was this helpful?